JsonCutDocs
V2 APIEndpointsGeneration

List a project's generations

Newest first; kind filters (comma separated), before and limit page through them. Required API key scopes: `projects:read`.

GET
/api/v2/projects/{id}/generations

Authorization

apiKeyAuth

Path Parameters

id*string

Resource identifier

Query Parameters

kind?string

image, video, music, sound, background-removal or upscale, comma separated

before?string

next of the previous page

limit?integer

Results per page

Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/projects/string/generations"
{  "success": true,  "data": {    "generations": [      {        "id": "aiop_01J",        "projectId": "project_01J",        "kind": "image",        "status": "completed",        "model": "openai/gpt-image-2.6/sunburst",        "prompt": "A pumpkin field at golden hour",        "progress": 100,        "credits": 12,        "media": {          "id": "media_01J",          "name": "pumpkin-field.png",          "kind": "image",          "mimeType": "image/png",          "width": 1536,          "height": 1024        },        "createdAt": "2026-11-11T09:00:00.000Z",        "updatedAt": "2026-11-11T09:00:21.000Z",        "completedAt": "2026-11-11T09:00:21.000Z"      }    ]  }}